dotnet-nuget-update-source(1)

dotnet nuget update source

This article applies to: ✔️ .NET Core 3.1.200 SDK and later versions

NAME

dotnet-nuget-update-source - Update a NuGet source.

    Use package sources that you trust.

SYNOPSIS

    dotnet nuget update source <NAME> [--source <SOURCE>] [--username <USER>]
        [--password <PASSWORD>] [--store-password-in-clear-text]
        [--valid-authentication-types <TYPES>] [--configfile <FILE>]
    dotnet nuget update source -h|--help

DESCRIPTION

The dotnet nuget update source command updates an existing source in your NuGet configuration files.

ARGUMENTS

•   NAME

    Name of the source.

OPTIONS

•   --configfile <FILE>

    The NuGet configuration file (nuget.config) to use. If specified, only the settings from this file will be used. If not specified, the hierarchy of configuration files from the current directory will be used. For more information, see Common NuGet Configurations.

•   -p|--password <PASSWORD>

    Password to be used when connecting to an authenticated source.

    Be aware that encrypted passwords are only supported on Windows. Moreover, they can only be decrypted on the same machine and by the same user who originally encrypted them.

•   -s|--source <SOURCE>

    Path to the package source.

•   --store-password-in-clear-text

    Enables storing portable package source credentials by disabling password encryption.

    [!WARNING] Storing passwords in clear text is strongly discouraged. For more information on managing credentials securely, refer to the security best practices for consuming packages from private feeds.

•   -u|--username <USER>

    Username to be used when connecting to an authenticated source.

•   --valid-authentication-types <TYPES>

    Comma-separated list of valid authentication types for this source. Set this to basic if the server advertises NTLM or Negotiate and your credentials must be sent using the Basic mechanism, for instance when using a PAT with on-premises Azure DevOps Server. Other valid values include negotiate, kerberos, ntlm, and digest, but these values are unlikely to be useful.

EXAMPLES

•   Update a source with name of mySource:

        dotnet nuget update source mySource --source c:\packages

SEE ALSO

•   Security best practices for managing package source credentials

•   Package source sections in NuGet.config files

•   sources command (nuget.exe)